Package com.google.protobuf

# Class DescriptorProtos

java.lang.Object
com.google.protobuf.DescriptorProtos

public final class DescriptorProtos extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`DescriptorProtos.DescriptorProto`
Protobuf type `google.protobuf.DescriptorProto`
`static interface`
`DescriptorProtos.DescriptorProtoOrBuilder`
`static enum`
`DescriptorProtos.Edition`
Protobuf enum `google.protobuf.Edition`
`static final class`
`DescriptorProtos.EnumDescriptorProto`
Protobuf type `google.protobuf.EnumDescriptorProto`
`static interface`
`DescriptorProtos.EnumDescriptorProtoOrBuilder`
`static final class`
`DescriptorProtos.EnumOptions`
Protobuf type `google.protobuf.EnumOptions`
`static interface`
`DescriptorProtos.EnumOptionsOrBuilder`
`static final class`
`DescriptorProtos.EnumValueDescriptorProto`
Protobuf type `google.protobuf.EnumValueDescriptorProto`
`static interface`
`DescriptorProtos.EnumValueDescriptorProtoOrBuilder`
`static final class`
`DescriptorProtos.EnumValueOptions`
Protobuf type `google.protobuf.EnumValueOptions`
`static interface`
`DescriptorProtos.EnumValueOptionsOrBuilder`
`static final class`
`DescriptorProtos.ExtensionRangeOptions`
Protobuf type `google.protobuf.ExtensionRangeOptions`
`static interface`
`DescriptorProtos.ExtensionRangeOptionsOrBuilder`
`static final class`
`DescriptorProtos.FeatureSet`
Protobuf type `google.protobuf.FeatureSet`
`static final class`
`DescriptorProtos.FeatureSetDefaults`
Protobuf type `google.protobuf.FeatureSetDefaults`
`static interface`
`DescriptorProtos.FeatureSetDefaultsOrBuilder`
`static interface`
`DescriptorProtos.FeatureSetOrBuilder`
`static final class`
`DescriptorProtos.FieldDescriptorProto`
Protobuf type `google.protobuf.FieldDescriptorProto`
`static interface`
`DescriptorProtos.FieldDescriptorProtoOrBuilder`
`static final class`
`DescriptorProtos.FieldOptions`
Protobuf type `google.protobuf.FieldOptions`
`static interface`
`DescriptorProtos.FieldOptionsOrBuilder`
`static final class`
`DescriptorProtos.FileDescriptorProto`
Protobuf type `google.protobuf.FileDescriptorProto`
`static interface`
`DescriptorProtos.FileDescriptorProtoOrBuilder`
`static final class`
`DescriptorProtos.FileDescriptorSet`
Protobuf type `google.protobuf.FileDescriptorSet`
`static interface`
`DescriptorProtos.FileDescriptorSetOrBuilder`
`static final class`
`DescriptorProtos.FileOptions`
Protobuf type `google.protobuf.FileOptions`
`static interface`
`DescriptorProtos.FileOptionsOrBuilder`
`static final class`
`DescriptorProtos.GeneratedCodeInfo`
Protobuf type `google.protobuf.GeneratedCodeInfo`
`static interface`
`DescriptorProtos.GeneratedCodeInfoOrBuilder`
`static final class`
`DescriptorProtos.MessageOptions`
Protobuf type `google.protobuf.MessageOptions`
`static interface`
`DescriptorProtos.MessageOptionsOrBuilder`
`static final class`
`DescriptorProtos.MethodDescriptorProto`
Protobuf type `google.protobuf.MethodDescriptorProto`
`static interface`
`DescriptorProtos.MethodDescriptorProtoOrBuilder`
`static final class`
`DescriptorProtos.MethodOptions`
Protobuf type `google.protobuf.MethodOptions`
`static interface`
`DescriptorProtos.MethodOptionsOrBuilder`
`static final class`
`DescriptorProtos.OneofDescriptorProto`
Protobuf type `google.protobuf.OneofDescriptorProto`
`static interface`
`DescriptorProtos.OneofDescriptorProtoOrBuilder`
`static final class`
`DescriptorProtos.OneofOptions`
Protobuf type `google.protobuf.OneofOptions`
`static interface`
`DescriptorProtos.OneofOptionsOrBuilder`
`static final class`
`DescriptorProtos.ServiceDescriptorProto`
Protobuf type `google.protobuf.ServiceDescriptorProto`
`static interface`
`DescriptorProtos.ServiceDescriptorProtoOrBuilder`
`static final class`
`DescriptorProtos.ServiceOptions`
Protobuf type `google.protobuf.ServiceOptions`
`static interface`
`DescriptorProtos.ServiceOptionsOrBuilder`
`static final class`
`DescriptorProtos.SourceCodeInfo`
Protobuf type `google.protobuf.SourceCodeInfo`
`static interface`
`DescriptorProtos.SourceCodeInfoOrBuilder`
`static final class`
`DescriptorProtos.UninterpretedOption`
Protobuf type `google.protobuf.UninterpretedOption`
`static interface`
`DescriptorProtos.UninterpretedOptionOrBuilder`

## Method Summary

Modifier and Type
Method
Description
`static Descriptors.FileDescriptor`
`getDescriptor()`
`static void`
`registerAllExtensions(ExtensionRegistry registry)`
`static void`
`registerAllExtensions(ExtensionRegistryLite registry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### registerAllExtensions

public static void registerAllExtensions(ExtensionRegistryLite registry)

### registerAllExtensions

public static void registerAllExtensions(ExtensionRegistry registry)

### getDescriptor

public static Descriptors.FileDescriptor getDescriptor()